summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorsolaraquarion2017-02-14 08:43:04 -0500
committersolaraquarion2017-02-14 08:43:04 -0500
commit5135dcd29862dbbd21ba8dc9717ec1ef0a76de80 (patch)
tree62b8964639ad1235ac9283e926afe070cae38839 /PKGBUILD
parent7a1e3a8f6d6887744740ca0af6603891fe06af47 (diff)
downloadaur-obvious-git.tar.gz
welcome to 2017
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD38
1 files changed, 17 insertions, 21 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 326efcc59d9..bfec8235e81 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,7 @@
# Maintainer: Jesse R. Adams <jesse -at- techno -dash- geeks -dot- org>
+# Maintainer: Solomon Choina <shlomochoina at gmail dot com>
pkgname=obvious-git
-pkgver=20100621
+pkgver=r389.63cd248
pkgrel=1
pkgdesc="Widgets for awesome wm (latest version)"
arch=(any)
@@ -8,27 +9,22 @@ url="https://github.com/hoelzro/obvious"
license=('custom:MIT')
depends=('awesome')
makedepends=('git')
-source=()
-md5sums=()
-
-_gitroot=https://github.com/hoelzro/obvious.git
+source=(git://github.com/hoelzro/obvious.git)
+md5sums=(SKIP)
_gitname=obvious
-build() {
- cd "$srcdir"
- msg "Connecting to GIT server...."
-
- if [ -d $_gitname ] ; then
- cd $_gitname && git pull origin
- msg "The local files are updated."
- else
- git clone $_gitroot
- fi
-
- msg "GIT checkout done or server timeout"
+pkgver() {
+ cd "$_gitname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
- install -d ${pkgdir}/usr/share/awesome/lib/${_gitname} || return 1
- cp -a ${_gitname}/* ${pkgdir}/usr/share/awesome/lib/${_gitname} || return 1
- rm ${pkgdir}/usr/share/awesome/lib/${_gitname}/{AUTHORS,CONTRIBUTING.md,LICENSE,TODO} || return 1
- install -Dm644 ${_gitname}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+package() {
+ cd "$srcdir"
+ install -d ${pkgdir}/usr/share/awesome/lib/${_gitname}
+ cp -a ${_gitname}/* ${pkgdir}/usr/share/awesome/lib/${_gitname}
+ rm ${pkgdir}/usr/share/awesome/lib/${_gitname}/{AUTHORS,CONTRIBUTING.md,LICENSE,TODO}
+ install -Dm644 ${_gitname}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}